Package Details: qps-git 2.0.0.81.g057cf16-1

Git Clone URL: https://aur.archlinux.org/qps-git.git (read-only, click to copy)
Package Base: qps-git
Description: Qt process manager
Upstream URL: https://github.com/lxqt/qps
Licenses: GPL
Conflicts: qps
Provides: qps
Submitter: pmattern
Maintainer: pmattern
Last Packager: pmattern
Votes: 7
Popularity: 0.029039
First Submitted: 2015-08-06 15:23
Last Updated: 2020-04-06 20:59

Latest Comments

MartinX3 commented on 2020-05-05 10:43

Getting dependency errors since LXQT 0.15.0

FredBezies commented on 2020-04-06 20:12

Updated PKGBUILD:

# Maintainer:  Peter Mattern <pmattern at arcor dot de>

_pkgname=qps
pkgname=$_pkgname-git
pkgver=2.0.0.r81.g057cf16
pkgrel=1
pkgdesc='Qt process manager'
arch=('i686' 'x86_64')
url='https://github.com/QtDesktop/qps'
license=('GPL')
depends=('liblxqt' 'hicolor-icon-theme')
makedepends=('git' 'cmake' 'qt5-tools' 'lxqt-build-tools' 'lxqt-config')
provides=("$_pkgname")
conflicts=("$_pkgname")
source=("git+https://github.com/QtDesktop/qps.git")
sha256sums=("SKIP")

pkgver() {
    cd $_pkgname
    git describe --long | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

build() {
    mkdir build ; cd build
    cmake ../$_pkgname -DCMAKE_INSTALL_PREFIX=/usr
    make
}

package() {
    cd build
    make DESTDIR=$pkgdir install
}

yan12125 commented on 2020-02-12 10:01

Hi, since https://github.com/lxqt/qps/pull/223 liblxqt-git is needed. Could you add it to depends?

yan12125 commented on 2018-11-19 00:59

Hi could you add lxqt-build-tools-git to makedepends? It's necessary since https://github.com/lxqt/qps/commit/da86025a483feaa29b567031780a4149317aa37c